Subject: Re: File mode changes not properly updated for existing targets

From: Sergey Matveev <[email-masked]>
Date: Sat, 7 Oct 2023 17:29:29 +0300

Greetings!

*** spacefrogg [2023-10-05 14:21]:
>Could it be, that you are doing "cat" instead of "mv" on an existing target
>to avoid changing the inode?

Definitely not, because, as you correctly noted, that would be
non-atomic operation.

>Okay, further testing showed that file modes are not updated exactly when
>the content of the target did not change. So, after checking the content of
>$3 and the old target, goredo should still update the mode bits. :)

Agreed, forget to take it into account! Will copy the mode of the file
to the target even if it is not renamed because of identical contents.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A